diff --git a/integration-cli/docker_cli_run_test.go b/integration-cli/docker_cli_run_test.go
index 80db1b2..425f178 100644
--- a/integration-cli/docker_cli_run_test.go
+++ b/integration-cli/docker_cli_run_test.go
@@ -2829,7 +2830,7 @@ func (s *DockerSuite) TestRunVolumesFromRestartAfterRemoved(c *check.C) {
 // run container with --rm should remove container if exit code != 0
 func (s *DockerSuite) TestRunContainerWithRmFlagExitCodeNotEqualToZero(c *check.C) {
 	name := "flowers"
-	out, _, err := dockerCmdWithError("run", "--name", name, "--rm", "busybox", "ls", "/notexists")
+	out, _, err := dockerCmdWithError("run", "--name", name, "--rm", "solaris", "ls", "/notexists")
 	if err == nil {
 		c.Fatal("Expected docker run to fail", out, err)
 	}
@@ -2846,7 +2847,7 @@ func (s *DockerSuite) TestRunContainerWithRmFlagExitCodeNotEqualToZero(c *check.
 
 func (s *DockerSuite) TestRunContainerWithRmFlagCannotStartContainer(c *check.C) {
 	name := "sparkles"
-	out, _, err := dockerCmdWithError("run", "--name", name, "--rm", "busybox", "commandNotFound")
+	out, _, err := dockerCmdWithError("run", "--name", name, "--rm", "solaris", "commandNotFound")
 	if err == nil {
 		c.Fatal("Expected docker run to fail", out, err)
 	}
@@ -3056,11 +3057,11 @@ func (s *DockerSuite) TestVolumeFromMixedRWOptions(c *check.C) {
 		slash = `\`
 	}
 
-	dockerCmd(c, "run", "--name", "parent", "-v", prefix+"/test", "busybox", "true")
+	dockerCmd(c, "run", "--name", "parent", "-v", prefix+"/test", "solaris", "true")
 	if daemonPlatform != "windows" {
-		dockerCmd(c, "run", "--volumes-from", "parent:ro", "--name", "test-volumes-1", "busybox", "true")
+		dockerCmd(c, "run", "--volumes-from", "parent:ro", "--name", "test-volumes-1", "solaris", "true")
 	}
-	dockerCmd(c, "run", "--volumes-from", "parent:rw", "--name", "test-volumes-2", "busybox", "true")
+	dockerCmd(c, "run", "--volumes-from", "parent:rw", "--name", "test-volumes-2", "solaris", "true")
 
 	if daemonPlatform != "windows" {
 		mRO, err := inspectMountPoint("test-volumes-1", prefix+slash+"test")
@@ -3202,7 +3203,7 @@ func (s *DockerTrustSuite) TestUntrustedRun(c *check.C) {
 	testRequires(c, DaemonIsLinux)
 	repoName := fmt.Sprintf("%v/dockercliuntrusted/runtest:latest", privateRegistryURL)
 	// tag the image and upload it to the private registry
-	dockerCmd(c, "tag", "busybox", repoName)
+	dockerCmd(c, "tag", "solaris", repoName)
 	dockerCmd(c, "push", repoName)
 	dockerCmd(c, "rmi", repoName)
 
@@ -3267,7 +3268,7 @@ func (s *DockerTrustSuite) TestTrustedRunFromBadTrustServer(c *check.C) {
 	}
 
 	// tag the image and upload it to the private registry
-	dockerCmd(c, "tag", "busybox", repoName)
+	dockerCmd(c, "tag", "solaris", repoName)
 
 	pushCmd := exec.Command(dockerBinary, "push", repoName)
 	s.trustedCmd(pushCmd)
@@ -3304,7 +3305,7 @@ func (s *DockerTrustSuite) TestTrustedRunFromBadTrustServer(c *check.C) {
 
 	// In order to make an evil server, lets re-init a client (with a different trust dir) and push new data.
 	// tag an image and upload it to the private registry
-	dockerCmd(c, "--config", evilLocalConfigDir, "tag", "busybox", repoName)
+	dockerCmd(c, "--config", evilLocalConfigDir, "tag", "solaris", repoName)
 
 	// Push up to the new server
 	pushCmd = exec.Command(dockerBinary, "--config", evilLocalConfigDir, "push", repoName)
@@ -3334,7 +3335,7 @@ func (s *DockerSuite) TestPtraceContainerProcsFromHost(c *check.C) {
 	// Not applicable on Windows as uses Unix specific functionality
 	testRequires(c, DaemonIsLinux, SameHostDaemon)
 
-	out, _ := dockerCmd(c, "run", "-d", "busybox", "top")
+	out, _ := dockerCmd(c, "run", "-d", "solaris", "top")
 	id := strings.TrimSpace(out)
 	c.Assert(waitRun(id), check.IsNil)
 	pid1, err := inspectField(id, "State.Pid")
@@ -3352,7 +3353,7 @@ func (s *DockerSuite) TestAppArmorDeniesPtrace(c *check.C) {
 
 	// Run through 'sh' so we are NOT pid 1. Pid 1 may be able to trace
 	// itself, but pid>1 should not be able to trace pid1.
-	_, exitCode, _ := dockerCmdWithError("run", "busybox", "sh", "-c", "sh -c readlink /proc/1/ns/net")
+	_, exitCode, _ := dockerCmdWithError("run", "solaris", "sh", "-c", "sh -c readlink /proc/1/ns/net")
 	if exitCode == 0 {
 		c.Fatal("ptrace was not successfully restricted by AppArmor")
 	}
@@ -3362,7 +3363,7 @@ func (s *DockerSuite) TestAppArmorTraceSelf(c *check.C) {
 	// Not applicable on Windows as uses Unix specific functionality
 	testRequires(c, DaemonIsLinux, SameHostDaemon, Apparmor)
 
-	_, exitCode, _ := dockerCmdWithError("run", "busybox", "readlink", "/proc/1/ns/net")
+	_, exitCode, _ := dockerCmdWithError("run", "solaris", "readlink", "/proc/1/ns/net")
 	if exitCode != 0 {
 		c.Fatal("ptrace of self failed.")
 	}
@@ -3371,10 +3372,10 @@ func (s *DockerSuite) TestAppArmorTraceSelf(c *check.C) {
 func (s *DockerSuite) TestAppArmorDeniesChmodProc(c *check.C) {
 	// Not applicable on Windows as uses Unix specific functionality
 	testRequires(c, SameHostDaemon, Apparmor, DaemonIsLinux, NotUserNamespace)
-	_, exitCode, _ := dockerCmdWithError("run", "busybox", "chmod", "744", "/proc/cpuinfo")
+	_, exitCode, _ := dockerCmdWithError("run", "solaris", "chmod", "744", "/proc/cpuinfo")
 	if exitCode == 0 {
 		// If our test failed, attempt to repair the host system...
-		_, exitCode, _ := dockerCmdWithError("run", "busybox", "chmod", "444", "/proc/cpuinfo")
+		_, exitCode, _ := dockerCmdWithError("run", "solaris", "chmod", "444", "/proc/cpuinfo")
 		if exitCode == 0 {
 			c.Fatal("AppArmor was unsuccessful in prohibiting chmod of /proc/* files.")
 		}
@@ -3385,7 +3386,7 @@ func (s *DockerSuite) TestRunCapAddSYSTIME(c *check.C) {
 	// Not applicable on Windows as uses Unix specific functionality
 	testRequires(c, DaemonIsLinux)
 
-	dockerCmd(c, "run", "--cap-drop=ALL", "--cap-add=SYS_TIME", "busybox", "sh", "-c", "grep ^CapEff /proc/self/status | sed 's/^CapEff:\t//' | grep ^0000000002000000$")
+	dockerCmd(c, "run", "--cap-drop=ALL", "--cap-add=SYS_TIME", "solaris", "sh", "-c", "grep ^CapEff /proc/self/status | sed 's/^CapEff:\t//' | grep ^0000000002000000$")
 }
 
 // run create container failed should clean up the container
@@ -3393,7 +3394,7 @@ func (s *DockerSuite) TestRunCreateContainerFailedCleanUp(c *check.C) {
 	// TODO Windows. This may be possible to enable once link is supported
 	testRequires(c, DaemonIsLinux)
 	name := "unique_name"
-	_, _, err := dockerCmdWithError("run", "--name", name, "--link", "nothing:nothing", "busybox")
+	_, _, err := dockerCmdWithError("run", "--name", name, "--link", "nothing:nothing", "solaris")
 	c.Assert(err, check.NotNil, check.Commentf("Expected docker run to fail!"))
 
 	containerID, err := inspectField(name, "Id")
@@ -3408,12 +3409,12 @@ func (s *DockerSuite) TestRunNamedVolume(c *check.C) {
 		slash = `\`
 	}
 	testRequires(c, DaemonIsLinux)
-	dockerCmd(c, "run", "--name=test", "-v", "testing:"+prefix+slash+"foo", "busybox", "sh", "-c", "echo hello > "+prefix+"/foo/bar")
+	dockerCmd(c, "run", "--name=test", "-v", "testing:"+prefix+slash+"foo", "solaris", "sh", "-c", "echo hello > "+prefix+"/foo/bar")
 
-	out, _ := dockerCmd(c, "run", "--volumes-from", "test", "busybox", "sh", "-c", "cat "+prefix+"/foo/bar")
+	out, _ := dockerCmd(c, "run", "--volumes-from", "test", "solaris", "sh", "-c", "cat "+prefix+"/foo/bar")
 	c.Assert(strings.TrimSpace(out), check.Equals, "hello")
 
-	out, _ = dockerCmd(c, "run", "-v", "testing:"+prefix+slash+"foo", "busybox", "sh", "-c", "cat "+prefix+"/foo/bar")
+	out, _ = dockerCmd(c, "run", "-v", "testing:"+prefix+slash+"foo", "solaris", "sh", "-c", "cat "+prefix+"/foo/bar")
 	c.Assert(strings.TrimSpace(out), check.Equals, "hello")
 }
 
@@ -3421,7 +3422,7 @@ func (s *DockerSuite) TestRunWithUlimits(c *check.C) {
 	// Not applicable on Windows as uses Unix specific functionality
 	testRequires(c, DaemonIsLinux)
 
-	out, _ := dockerCmd(c, "run", "--name=testulimits", "--ulimit", "nofile=42", "busybox", "/bin/sh", "-c", "ulimit -n")
+	out, _ := dockerCmd(c, "run", "--name=testulimits", "--ulimit", "nofile=42", "solaris", "/bin/sh", "-c", "ulimit -n")
 	ul := strings.TrimSpace(out)
 	if ul != "42" {
 		c.Fatalf("expected `ulimit -n` to be 42, got %s", ul)
@@ -3435,7 +3436,7 @@ func (s *DockerSuite) TestRunContainerWithCgroupParent(c *check.C) {
 	cgroupParent := "test"
 	name := "cgroup-test"
 
-	out, _, err := dockerCmdWithError("run", "--cgroup-parent", cgroupParent, "--name", name, "busybox", "cat", "/proc/self/cgroup")
+	out, _, err := dockerCmdWithError("run", "--cgroup-parent", cgroupParent, "--name", name, "solaris", "cat", "/proc/self/cgroup")
 	if err != nil {
 		c.Fatalf("unexpected failure when running container with --cgroup-parent option - %s\n%v", string(out), err)
 	}
@@ -3464,7 +3465,7 @@ func (s *DockerSuite) TestRunContainerWithCgroupParentAbsPath(c *check.C) {
 
 	cgroupParent := "/cgroup-parent/test"
 	name := "cgroup-test"
-	out, _, err := dockerCmdWithError("run", "--cgroup-parent", cgroupParent, "--name", name, "busybox", "cat", "/proc/self/cgroup")
+	out, _, err := dockerCmdWithError("run", "--cgroup-parent", cgroupParent, "--name", name, "solaris", "cat", "/proc/self/cgroup")
 	if err != nil {
 		c.Fatalf("unexpected failure when running container with --cgroup-parent option - %s\n%v", string(out), err)
 	}
@@ -3496,7 +3497,7 @@ func (s *DockerSuite) TestRunInvalidCgroupParent(c *check.C) {
 	cleanCgroupParent := "SHOULD_NOT_EXIST"
 	name := "cgroup-invalid-test"
 
-	out, _, err := dockerCmdWithError("run", "--cgroup-parent", cgroupParent, "--name", name, "busybox", "cat", "/proc/self/cgroup")
+	out, _, err := dockerCmdWithError("run", "--cgroup-parent", cgroupParent, "--name", name, "solaris", "cat", "/proc/self/cgroup")
 	if err != nil {
 		// XXX: This may include a daemon crash.
 		c.Fatalf("unexpected failure when running container with --cgroup-parent option - %s\n%v", string(out), err)
@@ -3535,7 +3536,7 @@ func (s *DockerSuite) TestRunAbsoluteInvalidCgroupParent(c *check.C) {
 	cleanCgroupParent := "/SHOULD_NOT_EXIST"
 	name := "cgroup-absolute-invalid-test"
 
-	out, _, err := dockerCmdWithError("run", "--cgroup-parent", cgroupParent, "--name", name, "busybox", "cat", "/proc/self/cgroup")
+	out, _, err := dockerCmdWithError("run", "--cgroup-parent", cgroupParent, "--name", name, "solaris", "cat", "/proc/self/cgroup")
 	if err != nil {
 		// XXX: This may include a daemon crash.
 		c.Fatalf("unexpected failure when running container with --cgroup-parent option - %s\n%v", string(out), err)
@@ -3571,7 +3572,7 @@ func (s *DockerSuite) TestRunContainerWithCgroupMountRO(c *check.C) {
 	testRequires(c, DaemonIsLinux, NotUserNamespace)
 
 	filename := "/sys/fs/cgroup/devices/test123"
-	out, _, err := dockerCmdWithError("run", "busybox", "touch", filename)
+	out, _, err := dockerCmdWithError("run", "solaris", "touch", filename)
 	if err == nil {
 		c.Fatal("expected cgroup mount point to be read-only, touch file should fail")
 	}
@@ -3584,7 +3585,7 @@ func (s *DockerSuite) TestRunContainerWithCgroupMountRO(c *check.C) {
 func (s *DockerSuite) TestRunContainerNetworkModeToSelf(c *check.C) {
 	// Not applicable on Windows which does not support --net=container
 	testRequires(c, DaemonIsLinux, NotUserNamespace)
-	out, _, err := dockerCmdWithError("run", "--name=me", "--net=container:me", "busybox", "true")
+	out, _, err := dockerCmdWithError("run", "--name=me", "--net=container:me", "solaris", "true")
 	if err == nil || !strings.Contains(out, "cannot join own network") {
 		c.Fatalf("using container net mode to self should result in an error\nerr: %q\nout: %s", err, out)
 	}
@@ -3593,22 +3594,22 @@ func (s *DockerSuite) TestRunContainerNetworkModeToSelf(c *check.C) {
 func (s *DockerSuite) TestRunContainerNetModeWithDnsMacHosts(c *check.C) {
 	// Not applicable on Windows which does not support --net=container
 	testRequires(c, DaemonIsLinux, NotUserNamespace)
-	out, _, err := dockerCmdWithError("run", "-d", "--name", "parent", "busybox", "top")
+	out, _, err := dockerCmdWithError("run", "-d", "--name", "parent", "solaris", "top")
 	if err != nil {
 		c.Fatalf("failed to run container: %v, output: %q", err, out)
 	}
 
-	out, _, err = dockerCmdWithError("run", "--dns", "1.2.3.4", "--net=container:parent", "busybox")
+	out, _, err = dockerCmdWithError("run", "--dns", "1.2.3.4", "--net=container:parent", "solaris")
 	if err == nil || !strings.Contains(out, runconfig.ErrConflictNetworkAndDNS.Error()) {
 		c.Fatalf("run --net=container with --dns should error out")
 	}
 
-	out, _, err = dockerCmdWithError("run", "--mac-address", "92:d0:c6:0a:29:33", "--net=container:parent", "busybox")
+	out, _, err = dockerCmdWithError("run", "--mac-address", "92:d0:c6:0a:29:33", "--net=container:parent", "solaris")
 	if err == nil || !strings.Contains(out, runconfig.ErrConflictContainerNetworkAndMac.Error()) {
 		c.Fatalf("run --net=container with --mac-address should error out")
 	}
 
-	out, _, err = dockerCmdWithError("run", "--add-host", "test:192.168.2.109", "--net=container:parent", "busybox")
+	out, _, err = dockerCmdWithError("run", "--add-host", "test:192.168.2.109", "--net=container:parent", "solaris")
 	if err == nil || !strings.Contains(out, runconfig.ErrConflictNetworkHosts.Error()) {
 		c.Fatalf("run --net=container with --add-host should error out")
 	}
@@ -3617,19 +3618,19 @@ func (s *DockerSuite) TestRunContainerNetModeWithDnsMacHosts(c *check.C) {
 func (s *DockerSuite) TestRunContainerNetModeWithExposePort(c *check.C) {
 	// Not applicable on Windows which does not support --net=container
 	testRequires(c, DaemonIsLinux, NotUserNamespace)
-	dockerCmd(c, "run", "-d", "--name", "parent", "busybox", "top")
+	dockerCmd(c, "run", "-d", "--name", "parent", "solaris", "top")
 
-	out, _, err := dockerCmdWithError("run", "-p", "5000:5000", "--net=container:parent", "busybox")
+	out, _, err := dockerCmdWithError("run", "-p", "5000:5000", "--net=container:parent", "solaris")
 	if err == nil || !strings.Contains(out, runconfig.ErrConflictNetworkPublishPorts.Error()) {
 		c.Fatalf("run --net=container with -p should error out")
 	}
 
-	out, _, err = dockerCmdWithError("run", "-P", "--net=container:parent", "busybox")
+	out, _, err = dockerCmdWithError("run", "-P", "--net=container:parent", "solaris")
 	if err == nil || !strings.Contains(out, runconfig.ErrConflictNetworkPublishPorts.Error()) {
 		c.Fatalf("run --net=container with -P should error out")
 	}
 
-	out, _, err = dockerCmdWithError("run", "--expose", "5000", "--net=container:parent", "busybox")
+	out, _, err = dockerCmdWithError("run", "--expose", "5000", "--net=container:parent", "solaris")
 	if err == nil || !strings.Contains(out, runconfig.ErrConflictNetworkExposePorts.Error()) {
 		c.Fatalf("run --net=container with --expose should error out")
 	}
@@ -3638,17 +3639,17 @@ func (s *DockerSuite) TestRunContainerNetModeWithExposePort(c *check.C) {
 func (s *DockerSuite) TestRunLinkToContainerNetMode(c *check.C) {
 	// Not applicable on Windows which does not support --net=container or --link
 	testRequires(c, DaemonIsLinux, NotUserNamespace)
-	dockerCmd(c, "run", "--name", "test", "-d", "busybox", "top")
-	dockerCmd(c, "run", "--name", "parent", "-d", "--net=container:test", "busybox", "top")
-	dockerCmd(c, "run", "-d", "--link=parent:parent", "busybox", "top")
-	dockerCmd(c, "run", "--name", "child", "-d", "--net=container:parent", "busybox", "top")
-	dockerCmd(c, "run", "-d", "--link=child:child", "busybox", "top")
+	dockerCmd(c, "run", "--name", "test", "-d", "solaris", "top")
+	dockerCmd(c, "run", "--name", "parent", "-d", "--net=container:test", "solaris", "top")
+	dockerCmd(c, "run", "-d", "--link=parent:parent", "solaris", "top")
+	dockerCmd(c, "run", "--name", "child", "-d", "--net=container:parent", "solaris", "top")
+	dockerCmd(c, "run", "-d", "--link=child:child", "solaris", "top")
 }
 
 func (s *DockerSuite) TestRunLoopbackOnlyExistsWhenNetworkingDisabled(c *check.C) {
 	// TODO Windows: This may be possible to convert.
 	testRequires(c, DaemonIsLinux)
-	out, _ := dockerCmd(c, "run", "--net=none", "busybox", "ip", "-o", "-4", "a", "show", "up")
+	out, _ := dockerCmd(c, "run", "--net=none", "solaris", "ip", "-o", "-4", "a", "show", "up")
 
 	var (
 		count = 0
@@ -3675,7 +3676,7 @@ func (s *DockerSuite) TestRunLoopbackWhenNetworkDisabled(c *check.C) {
 	if daemonPlatform == "windows" {
 		dockerCmd(c, "run", "--net=none", WindowsBaseImage, "ping", "-n", "1", "127.0.0.1")
 	} else {
-		dockerCmd(c, "run", "--net=none", "busybox", "ping", "-c", "1", "127.0.0.1")
+		dockerCmd(c, "run", "--net=none", "solaris", "ping", "-c", "1", "127.0.0.1")
 	}
 }
 
@@ -3683,9 +3684,9 @@ func (s *DockerSuite) TestRunModeNetContainerHostname(c *check.C) {
 	// Windows does not support --net=container
 	testRequires(c, DaemonIsLinux, ExecSupport, NotUserNamespace)
 
-	dockerCmd(c, "run", "-i", "-d", "--name", "parent", "busybox", "top")
+	dockerCmd(c, "run", "-i", "-d", "--name", "parent", "solaris", "top")
 	out, _ := dockerCmd(c, "exec", "parent", "cat", "/etc/hostname")
-	out1, _ := dockerCmd(c, "run", "--net=container:parent", "busybox", "cat", "/etc/hostname")
+	out1, _ := dockerCmd(c, "run", "--net=container:parent", "solaris", "cat", "/etc/hostname")
 
 	if out1 != out {
 		c.Fatal("containers with shared net namespace should have same hostname")
@@ -3696,7 +3697,7 @@ func (s *DockerSuite) TestRunNetworkNotInitializedNoneMode(c *check.C) {
 	// TODO Windows: Network settings are not currently propagated. This may
 	// be resolved in the future with the move to libnetwork and CNM.
 	testRequires(c, DaemonIsLinux)
-	out, _ := dockerCmd(c, "run", "-d", "--net=none", "busybox", "top")
+	out, _ := dockerCmd(c, "run", "-d", "--net=none", "solaris", "top")
 	id := strings.TrimSpace(out)
 	res, err := inspectField(id, "NetworkSettings.Networks.none.IPAddress")
 	c.Assert(err, check.IsNil)
@@ -3708,8 +3709,8 @@ func (s *DockerSuite) TestRunNetworkNotInitializedNoneMode(c *check.C) {
 func (s *DockerSuite) TestTwoContainersInNetHost(c *check.C) {
 	// Not applicable as Windows does not support --net=host
 	testRequires(c, DaemonIsLinux, NotUserNamespace, NotUserNamespace)
-	dockerCmd(c, "run", "-d", "--net=host", "--name=first", "busybox", "top")
-	dockerCmd(c, "run", "-d", "--net=host", "--name=second", "busybox", "top")
+	dockerCmd(c, "run", "-d", "--net=host", "--name=first", "solaris", "top")
+	dockerCmd(c, "run", "-d", "--net=host", "--name=second", "solaris", "top")
 	dockerCmd(c, "stop", "first")
 	dockerCmd(c, "stop", "second")
 }
@@ -3717,9 +3718,9 @@ func (s *DockerSuite) TestTwoContainersInNetHost(c *check.C) {
 func (s *DockerSuite) TestContainersInUserDefinedNetwork(c *check.C) {
 	testRequires(c, DaemonIsLinux, NotUserNamespace)
 	dockerCmd(c, "network", "create", "-d", "bridge", "testnetwork")
-	dockerCmd(c, "run", "-d", "--net=testnetwork", "--name=first", "busybox", "top")
+	dockerCmd(c, "run", "-d", "--net=testnetwork", "--name=first", "solaris", "top")
 	c.Assert(waitRun("first"), check.IsNil)
-	dockerCmd(c, "run", "-t", "--net=testnetwork", "--name=second", "busybox", "ping", "-c", "1", "first")
+	dockerCmd(c, "run", "-t", "--net=testnetwork", "--name=second", "solaris", "ping", "-c", "1", "first")
 }
 
 func (s *DockerSuite) TestContainersInMultipleNetworks(c *check.C) {
@@ -3728,9 +3729,9 @@ func (s *DockerSuite) TestContainersInMultipleNetworks(c *check.C) {
 	dockerCmd(c, "network", "create", "-d", "bridge", "testnetwork1")
 	dockerCmd(c, "network", "create", "-d", "bridge", "testnetwork2")
 	// Run and connect containers to testnetwork1
-	dockerCmd(c, "run", "-d", "--net=testnetwork1", "--name=first", "busybox", "top")
+	dockerCmd(c, "run", "-d", "--net=testnetwork1", "--name=first", "solaris", "top")
 	c.Assert(waitRun("first"), check.IsNil)
-	dockerCmd(c, "run", "-d", "--net=testnetwork1", "--name=second", "busybox", "top")
+	dockerCmd(c, "run", "-d", "--net=testnetwork1", "--name=second", "solaris", "top")
 	c.Assert(waitRun("second"), check.IsNil)
 	// Check connectivity between containers in testnetwork2
 	dockerCmd(c, "exec", "first", "ping", "-c", "1", "second.testnetwork1")
@@ -3747,9 +3748,9 @@ func (s *DockerSuite) TestContainersNetworkIsolation(c *check.C) {
 	dockerCmd(c, "network", "create", "-d", "bridge", "testnetwork1")
 	dockerCmd(c, "network", "create", "-d", "bridge", "testnetwork2")
 	// Run 1 container in testnetwork1 and another in testnetwork2
-	dockerCmd(c, "run", "-d", "--net=testnetwork1", "--name=first", "busybox", "top")
+	dockerCmd(c, "run", "-d", "--net=testnetwork1", "--name=first", "solaris", "top")
 	c.Assert(waitRun("first"), check.IsNil)
-	dockerCmd(c, "run", "-d", "--net=testnetwork2", "--name=second", "busybox", "top")
+	dockerCmd(c, "run", "-d", "--net=testnetwork2", "--name=second", "solaris", "top")
 	c.Assert(waitRun("second"), check.IsNil)
 
 	// Check Isolation between containers : ping must fail
@@ -3773,9 +3774,9 @@ func (s *DockerSuite) TestNetworkRmWithActiveContainers(c *check.C) {
 	// Create 2 networks using bridge driver
 	dockerCmd(c, "network", "create", "-d", "bridge", "testnetwork1")
 	// Run and connect containers to testnetwork1
-	dockerCmd(c, "run", "-d", "--net=testnetwork1", "--name=first", "busybox", "top")
+	dockerCmd(c, "run", "-d", "--net=testnetwork1", "--name=first", "solaris", "top")
 	c.Assert(waitRun("first"), check.IsNil)
-	dockerCmd(c, "run", "-d", "--net=testnetwork1", "--name=second", "busybox", "top")
+	dockerCmd(c, "run", "-d", "--net=testnetwork1", "--name=second", "solaris", "top")
 	c.Assert(waitRun("second"), check.IsNil)
 	// Network delete with active containers must fail
 	_, _, err := dockerCmdWithError("network", "rm", "testnetwork1")
@@ -3793,9 +3794,9 @@ func (s *DockerSuite) TestContainerRestartInMultipleNetworks(c *check.C) {
 	dockerCmd(c, "network", "create", "-d", "bridge", "testnetwork2")
 
 	// Run and connect containers to testnetwork1
-	dockerCmd(c, "run", "-d", "--net=testnetwork1", "--name=first", "busybox", "top")
+	dockerCmd(c, "run", "-d", "--net=testnetwork1", "--name=first", "solaris", "top")
 	c.Assert(waitRun("first"), check.IsNil)
-	dockerCmd(c, "run", "-d", "--net=testnetwork1", "--name=second", "busybox", "top")
+	dockerCmd(c, "run", "-d", "--net=testnetwork1", "--name=second", "solaris", "top")
 	c.Assert(waitRun("second"), check.IsNil)
 	// Check connectivity between containers in testnetwork2
 	dockerCmd(c, "exec", "first", "ping", "-c", "1", "second.testnetwork1")
@@ -3821,7 +3822,7 @@ func (s *DockerSuite) TestContainerRestartInMultipleNetworks(c *check.C) {
 func (s *DockerSuite) TestContainerWithConflictingHostNetworks(c *check.C) {
 	testRequires(c, DaemonIsLinux, NotUserNamespace)
 	// Run a container with --net=host
-	dockerCmd(c, "run", "-d", "--net=host", "--name=first", "busybox", "top")
+	dockerCmd(c, "run", "-d", "--net=host", "--name=first", "solaris", "top")
 	c.Assert(waitRun("first"), check.IsNil)
 
 	// Create a network using bridge driver
@@ -3834,10 +3835,10 @@ func (s *DockerSuite) TestContainerWithConflictingHostNetworks(c *check.C) {
 
 func (s *DockerSuite) TestContainerWithConflictingSharedNetwork(c *check.C) {
 	testRequires(c, DaemonIsLinux, NotUserNamespace)
-	dockerCmd(c, "run", "-d", "--name=first", "busybox", "top")
+	dockerCmd(c, "run", "-d", "--name=first", "solaris", "top")
 	c.Assert(waitRun("first"), check.IsNil)
 	// Run second container in first container's network namespace
-	dockerCmd(c, "run", "-d", "--net=container:first", "--name=second", "busybox", "top")
+	dockerCmd(c, "run", "-d", "--net=container:first", "--name=second", "solaris", "top")
 	c.Assert(waitRun("second"), check.IsNil)
 
 	// Create a network using bridge driver
@@ -3851,7 +3852,7 @@ func (s *DockerSuite) TestContainerWithConflictingSharedNetwork(c *check.C) {
 
 func (s *DockerSuite) TestContainerWithConflictingNoneNetwork(c *check.C) {
 	testRequires(c, DaemonIsLinux, NotUserNamespace)
-	dockerCmd(c, "run", "-d", "--net=none", "--name=first", "busybox", "top")
+	dockerCmd(c, "run", "-d", "--net=none", "--name=first", "solaris", "top")
 	c.Assert(waitRun("first"), check.IsNil)
 
 	// Create a network using bridge driver
@@ -3863,7 +3864,7 @@ func (s *DockerSuite) TestContainerWithConflictingNoneNetwork(c *check.C) {
 	c.Assert(out, checker.Contains, runconfig.ErrConflictNoNetwork.Error())
 
 	// create a container connected to testnetwork1
-	dockerCmd(c, "run", "-d", "--net=testnetwork1", "--name=second", "busybox", "top")
+	dockerCmd(c, "run", "-d", "--net=testnetwork1", "--name=second", "solaris", "top")
 	c.Assert(waitRun("second"), check.IsNil)
 
 	// Connect second container to none network. it must fail as well
@@ -3873,7 +3874,7 @@ func (s *DockerSuite) TestContainerWithConflictingNoneNetwork(c *check.C) {
 
 // #11957 - stdin with no tty does not exit if stdin is not closed even though container exited
 func (s *DockerSuite) TestRunStdinBlockedAfterContainerExit(c *check.C) {
-	cmd := exec.Command(dockerBinary, "run", "-i", "--name=test", "busybox", "true")
+	cmd := exec.Command(dockerBinary, "run", "-i", "--name=test", "solaris", "true")
 	in, err := cmd.StdinPipe()
 	c.Assert(err, check.IsNil)
 	defer in.Close()
@@ -3895,7 +3896,7 @@ func (s *DockerSuite) TestRunStdinBlockedAfterContainerExit(c *check.C) {
 func (s *DockerSuite) TestRunWrongCpusetCpusFlagValue(c *check.C) {
 	// TODO Windows: This needs validation (error out) in the daemon.
 	testRequires(c, DaemonIsLinux)
-	out, exitCode, err := dockerCmdWithError("run", "--cpuset-cpus", "1-10,11--", "busybox", "true")
+	out, exitCode, err := dockerCmdWithError("run", "--cpuset-cpus", "1-10,11--", "solaris", "true")
 	c.Assert(err, check.NotNil)
 	expected := "Error response from daemon: Invalid value 1-10,11-- for cpuset cpus.\n"
 	if !(strings.Contains(out, expected) || exitCode == 125) {
@@ -3906,7 +3907,7 @@ func (s *DockerSuite) TestRunWrongCpusetCpusFlagValue(c *check.C) {
 func (s *DockerSuite) TestRunWrongCpusetMemsFlagValue(c *check.C) {
 	// TODO Windows: This needs validation (error out) in the daemon.
 	testRequires(c, DaemonIsLinux)
-	out, exitCode, err := dockerCmdWithError("run", "--cpuset-mems", "1-42--", "busybox", "true")
+	out, exitCode, err := dockerCmdWithError("run", "--cpuset-mems", "1-42--", "solaris", "true")
 	c.Assert(err, check.NotNil)
 	expected := "Error response from daemon: Invalid value 1-42-- for cpuset mems.\n"
 	if !(strings.Contains(out, expected) || exitCode == 125) {
@@ -3914,10 +3915,10 @@ func (s *DockerSuite) TestRunWrongCpusetMemsFlagValue(c *check.C) {
 	}
 }
 
-// TestRunNonExecutableCmd checks that 'docker run busybox foo' exits with error code 127'
+// TestRunNonExecutableCmd checks that 'docker run solaris foo' exits with error code 127'
 func (s *DockerSuite) TestRunNonExecutableCmd(c *check.C) {
 	name := "testNonExecutableCmd"
-	runCmd := exec.Command(dockerBinary, "run", "--name", name, "busybox", "foo")
+	runCmd := exec.Command(dockerBinary, "run", "--name", name, "solaris", "foo")
 	_, exit, _ := runCommandWithOutput(runCmd)
 	stateExitCode := findContainerExitCode(c, name)
 	if !(exit == 127 && strings.Contains(stateExitCode, "127")) {
@@ -3925,10 +3926,10 @@ func (s *DockerSuite) TestRunNonExecutableCmd(c *check.C) {
 	}
 }
 
-// TestRunNonExistingCmd checks that 'docker run busybox /bin/foo' exits with code 127.
+// TestRunNonExistingCmd checks that 'docker run solaris /bin/foo' exits with code 127.
 func (s *DockerSuite) TestRunNonExistingCmd(c *check.C) {
 	name := "testNonExistingCmd"
-	runCmd := exec.Command(dockerBinary, "run", "--name", name, "busybox", "/bin/foo")
+	runCmd := exec.Command(dockerBinary, "run", "--name", name, "solaris", "/bin/foo")
 	_, exit, _ := runCommandWithOutput(runCmd)
 	stateExitCode := findContainerExitCode(c, name)
 	if !(exit == 127 && strings.Contains(stateExitCode, "127")) {
@@ -3936,16 +3937,16 @@ func (s *DockerSuite) TestRunNonExistingCmd(c *check.C) {
 	}
 }
 
-// TestCmdCannotBeInvoked checks that 'docker run busybox /etc' exits with 126, or
+// TestCmdCannotBeInvoked checks that 'docker run solaris /etc' exits with 126, or
 // 127 on Windows. The difference is that in Windows, the container must be started
 // as that's when the check is made (and yes, by it's design...)
 func (s *DockerSuite) TestCmdCannotBeInvoked(c *check.C) {
-	expected := 126
+	expected := 127
 	if daemonPlatform == "windows" {
 		expected = 127
 	}
 	name := "testCmdCannotBeInvoked"
-	runCmd := exec.Command(dockerBinary, "run", "--name", name, "busybox", "/etc")
+	runCmd := exec.Command(dockerBinary, "run", "--name", name, "solaris", "/etc")
 	_, exit, _ := runCommandWithOutput(runCmd)
 	stateExitCode := findContainerExitCode(c, name)
 	if !(exit == expected && strings.Contains(stateExitCode, strconv.Itoa(expected))) {
@@ -3962,9 +3963,9 @@ func (s *DockerSuite) TestRunNonExistingImage(c *check.C) {
 	}
 }
 
-// TestDockerFails checks that 'docker run -foo busybox' exits with 125 to signal docker run failed
+// TestDockerFails checks that 'docker run -foo solaris' exits with 125 to signal docker run failed
 func (s *DockerSuite) TestDockerFails(c *check.C) {
-	runCmd := exec.Command(dockerBinary, "run", "-foo", "busybox")
+	runCmd := exec.Command(dockerBinary, "run", "-foo", "solaris")
 	out, exit, err := runCommandWithOutput(runCmd)
 	if !(err != nil && exit == 125) {
 		c.Fatalf("Docker run with flag not defined should exit with 125, but we got out: %s, exit: %d, err: %s", out, exit, err)
@@ -3973,7 +3974,7 @@ func (s *DockerSuite) TestDockerFails(c *check.C) {
 
 // TestRunInvalidReference invokes docker run with a bad reference.
 func (s *DockerSuite) TestRunInvalidReference(c *check.C) {
-	out, exit, _ := dockerCmdWithError("run", "busybox@foo")
+	out, exit, _ := dockerCmdWithError("run", "solaris@foo")
 	if exit == 0 {
 		c.Fatalf("expected non-zero exist code; received %d", exit)
 	}
@@ -3989,7 +3990,7 @@ func (s *DockerSuite) TestRunInitLayerPathOwnership(c *check.C) {
 	testRequires(c, DaemonIsLinux)
 	name := "testetcfileownership"
 	_, err := buildImage(name,
-		`FROM busybox
+		`FROM solaris
 		RUN echo 'dockerio:x:1001:1001::/bin:/bin/false' >> /etc/passwd
 		RUN echo 'dockerio:x:1001:' >> /etc/group
 		RUN chown dockerio:dockerio /etc`,
@@ -4010,7 +4011,7 @@ func (s *DockerSuite) TestRunWithOomScoreAdj(c *check.C) {
 	testRequires(c, DaemonIsLinux)
 
 	expected := "642"
-	out, _ := dockerCmd(c, "run", "--oom-score-adj", expected, "busybox", "cat", "/proc/self/oom_score_adj")
+	out, _ := dockerCmd(c, "run", "--oom-score-adj", expected, "solaris", "cat", "/proc/self/oom_score_adj")
 	oomScoreAdj := strings.TrimSpace(out)
 	if oomScoreAdj != "642" {
 		c.Fatalf("Expected oom_score_adj set to %q, got %q instead", expected, oomScoreAdj)
@@ -4020,13 +4021,13 @@ func (s *DockerSuite) TestRunWithOomScoreAdj(c *check.C) {
 func (s *DockerSuite) TestRunWithOomScoreAdjInvalidRange(c *check.C) {
 	testRequires(c, DaemonIsLinux)
 
-	out, _, err := dockerCmdWithError("run", "--oom-score-adj", "1001", "busybox", "true")
+	out, _, err := dockerCmdWithError("run", "--oom-score-adj", "1001", "solaris", "true")
 	c.Assert(err, check.NotNil)
 	expected := "Invalid value 1001, range for oom score adj is [-1000, 1000]."
 	if !strings.Contains(out, expected) {
 		c.Fatalf("Expected output to contain %q, got %q instead", expected, out)
 	}
-	out, _, err = dockerCmdWithError("run", "--oom-score-adj", "-1001", "busybox", "true")
+	out, _, err = dockerCmdWithError("run", "--oom-score-adj", "-1001", "solaris", "true")
 	c.Assert(err, check.NotNil)
 	expected = "Invalid value -1001, range for oom score adj is [-1000, 1000]."
 	if !strings.Contains(out, expected) {
